C       Nc - number of centers, Np - number of dm particles
C       Nrad - number of shells for halos
C
      PARAMETER (Nm  =-10, Nb=500)  ! define size of linker mesh
      PARAMETER (Np  = Nmaxpart) ! Max Nparticles, make extra 
      PARAMETER (Nrad=20)               ! Number of shells around a halo
      COMMON /CAT/ Xp(Np),Yp(Np),Zp(Np)
      COMMON /STOR0/ Xp0(Np,2),Yp0(Np,2),Zp0(Np,2)
      COMMON /GRD/ Label(Nm:Nb,Nm:Nb,Nm:Nb),Lst(Np)
      COMMON /PNT/ RadSr1,RadSr2,
     +             Rad(Nrad),Rad2(Nrad),Cell
      COMMON / ROW1 /	XPAR1(NPAGE),YPAR1(NPAGE),ZPAR1(NPAGE),
     +			VX1(NPAGE),VY1(NPAGE),VZ1(NPAGE)
      DIMENSION         RECDAT1(NRECL) 
      EQUIVALENCE    (RECDAT1(1),XPAR1(1))

